<testsuites>
  <!--Report is generated by Rally 1.5.1 at 2020-05-13T20:10:37-->
  <testsuite errors="0" failures="0" id="f4747402-2578-489f-9819-681b46d67ade" skipped="0" tests="219" time="562.762" timestamp="2020-05-13T20:00:58">
    <testcase classname="tempest.api.compute.flavors.test_flavors.FlavorsV2TestJSON" id="e36c0eaa-dff5-4082-ad1f-3f9a80aa3f59" name="test_list_flavors" time="0.375" timestamp="2020-05-13T20:01:03+0000" />
    <testcase classname="tempest.api.compute.flavors.test_flavors.FlavorsV2TestJSON" id="6e85fde4-b3cd-4137-ab72-ed5f418e8c24" name="test_list_flavors_with_detail" time="0.101" timestamp="2020-05-13T20:01:03+0000" />
    <testcase classname="tempest.api.compute.keypairs.test_keypairs_v22.KeyPairsV22TestJSON" id="89d59d43-f735-441a-abcf-0601727f47b6" name="test_keypairsv22_create_list_show_with_type" time="0.649" timestamp="2020-05-13T20:01:03+0000" />
    <testcase classname="tempest.api.compute.images.test_images_oneserver.ImagesOneServerTestJSON" id="3731d080-d4c5-4872-b41a-64d0d0021314" name="test_create_delete_image" time="17.577" timestamp="2020-05-13T20:01:18+0000" />
    <testcase classname="tempest.api.compute.servers.test_create_server.ServersTestManualDisk" id="ac1ad47f-984b-4441-9274-c9079b7a0666" name="test_host_name_is_same_as_server_name" time="7.463" timestamp="2020-05-13T20:01:30+0000" />
    <testcase classname="tempest.api.compute.servers.test_create_server.ServersTestJSON" id="ac1ad47f-984b-4441-9274-c9079b7a0666" name="test_host_name_is_same_as_server_name" time="7.155" timestamp="2020-05-13T20:01:33+0000" />
    <testcase classname="tempest.api.compute.images.test_images_oneserver.ImagesOneServerTestJSON" id="3b7c6fe4-dfe7-477c-9243-b06359db51e6" name="test_create_image_specify_multibyte_character_image_name" time="0.546" timestamp="2020-05-13T20:01:36+0000" />
    <testcase classname="tempest.api.compute.servers.test_create_server.ServersTestManualDisk" id="9a438d88-10c6-4bcd-8b5b-5b6e25e1346f" name="test_list_servers" time="0.129" timestamp="2020-05-13T20:01:37+0000" />
    <testcase classname="tempest.api.compute.servers.test_create_server.ServersTestManualDisk" id="585e934c-448e-43c4-acbf-d06a9b899997" name="test_list_servers_with_detail" time="0.397" timestamp="2020-05-13T20:01:37+0000" />
    <testcase classname="tempest.api.compute.servers.test_create_server.ServersTestManualDisk" id="cbc0f52f-05aa-492b-bdc1-84b575ca294b" name="test_verify_created_server_vcpus" time="0.174" timestamp="2020-05-13T20:01:38+0000" />
    <testcase classname="tempest.api.compute.servers.test_create_server.ServersTestManualDisk" id="5de47127-9977-400a-936f-abcfbec1218f" name="test_verify_server_details" time="0.001" timestamp="2020-05-13T20:01:38+0000" />
    <testcase classname="tempest.api.compute.servers.test_availability_zone.AZV2TestJSON" id="a8333aa2-205c-449f-a828-d38c2489bf25" name="test_get_availability_zone_list_with_non_admin_user" time="0.282" timestamp="2020-05-13T20:01:41+0000" />
    <testcase classname="tempest.api.compute.servers.test_create_server.ServersTestJSON" id="9a438d88-10c6-4bcd-8b5b-5b6e25e1346f" name="test_list_servers" time="0.093" timestamp="2020-05-13T20:01:41+0000" />
    <testcase classname="tempest.api.compute.servers.test_create_server.ServersTestJSON" id="585e934c-448e-43c4-acbf-d06a9b899997" name="test_list_servers_with_detail" time="0.458" timestamp="2020-05-13T20:01:41+0000" />
    <testcase classname="tempest.api.compute.servers.test_create_server.ServersTestJSON" id="cbc0f52f-05aa-492b-bdc1-84b575ca294b" name="test_verify_created_server_vcpus" time="0.160" timestamp="2020-05-13T20:01:41+0000" />
    <testcase classname="tempest.api.compute.servers.test_create_server.ServersTestJSON" id="5de47127-9977-400a-936f-abcfbec1218f" name="test_verify_server_details" time="0.001" timestamp="2020-05-13T20:01:41+0000" />
    <testcase classname="tempest.api.compute.servers.test_instance_actions.InstanceActionsTestJSON" id="aacc71ca-1d70-4aa5-bbf6-0ff71470e43c" name="test_get_instance_action" time="0.076" timestamp="2020-05-13T20:01:56+0000" />
    <testcase classname="tempest.api.compute.servers.test_instance_actions.InstanceActionsTestJSON" id="77ca5cc5-9990-45e0-ab98-1de8fead201a" name="test_list_instance_actions" time="6.445" timestamp="2020-05-13T20:01:56+0000" />
    <testcase classname="tempest.api.compute.servers.test_delete_server.DeleteServersTestJSON" id="925fdfb4-5b13-47ea-ac8a-c36ae6fddb05" name="test_delete_active_server" time="14.268" timestamp="2020-05-13T20:02:00+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="74745ad8-b346-45b5-b9b8-509d7447fc1f" name="test_list_servers_by_changes_since_future_date" time="0.093" timestamp="2020-05-13T20:02:14+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="87d12517-e20a-4c9c-97b6-dd1628d6d6c9" name="test_list_servers_by_changes_since_invalid_date" time="0.018" timestamp="2020-05-13T20:02:14+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="d47c17fb-eebd-4287-8e95-f20a7e627b18" name="test_list_servers_by_limits_greater_than_actual_count" time="0.239" timestamp="2020-05-13T20:02:14+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="62610dd9-4713-4ee0-8beb-fd2c1aa7f950" name="test_list_servers_by_limits_pass_negative_value" time="0.015" timestamp="2020-05-13T20:02:14+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="679bc053-5e70-4514-9800-3dfab1a380a6" name="test_list_servers_by_limits_pass_string" time="0.015" timestamp="2020-05-13T20:02:14+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="5913660b-223b-44d4-a651-a0fbfd44ca75" name="test_list_servers_by_non_existing_flavor" time="0.030" timestamp="2020-05-13T20:02:15+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="ff01387d-c7ad-47b4-ae9e-64fa214638fe" name="test_list_servers_by_non_existing_image" time="0.112" timestamp="2020-05-13T20:02:15+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="e2c77c4a-000a-4af3-a0bd-629a328bde7c" name="test_list_servers_by_non_existing_server_name" time="0.106" timestamp="2020-05-13T20:02:15+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="93055106-2d34-46fe-af68-d9ddbf7ee570" name="test_list_servers_detail_server_is_deleted" time="0.285" timestamp="2020-05-13T20:02:15+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="fcdf192d-0f74-4d89-911f-1ec002b822c4" name="test_list_servers_status_non_existing" time="0.016" timestamp="2020-05-13T20:02:15+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_servers_negative.ListServersNegativeTestJSON" id="24a26f1a-1ddc-4eea-b0d7-a90cc874ad8f" name="test_list_servers_with_a_deleted_server" time="0.105" timestamp="2020-05-13T20:02:15+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers.ServersTestJSON" id="b92d5ec7-b1dd-44a2-87e4-45e888c46ef0" name="test_create_server_with_admin_password" time="1.503" timestamp="2020-05-13T20:02:20+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="fd57f159-68d6-4c2a-902b-03070828a87e" name="test_create_numeric_server_name" time="1.099" timestamp="2020-05-13T20:02:21+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers.ServersTestJSON" id="f9e15296-d7f9-4e62-b53f-a04e89160833" name="test_create_specify_keypair" time="17.659" timestamp="2020-05-13T20:02:22+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="7fc74810-0bd2-4cd7-8244-4f33a9db865a" name="test_create_server_metadata_exceeds_length_limit" time="1.667" timestamp="2020-05-13T20:02:22+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="c3e0fb12-07fc-4d76-a22e-37409887afe8" name="test_create_server_name_length_exceeds_256" time="1.471" timestamp="2020-05-13T20:02:24+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="18f5227f-d155-4429-807c-ccb103887537" name="test_create_with_invalid_flavor" time="1.790" timestamp="2020-05-13T20:02:25+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="fcba1052-0a50-4cf3-b1ac-fae241edf02f" name="test_create_with_invalid_image" time="1.401" timestamp="2020-05-13T20:02:27+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="4e72dc2d-44c5-4336-9667-f7972e95c402" name="test_create_with_invalid_network_uuid" time="0.953" timestamp="2020-05-13T20:02:28+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="f4d7279b-5fd2-4bf2-9ba4-ae35df0d18c5" name="test_delete_server_pass_id_exceeding_length_limit" time="0.527" timestamp="2020-05-13T20:02:29+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="75f79124-277c-45e6-a373-a1d6803f4cc4" name="test_delete_server_pass_negative_id" time="0.530" timestamp="2020-05-13T20:02:30+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="3436b02f-1b1e-4f03-881e-c6a602327439" name="test_get_non_existent_server" time="1.390" timestamp="2020-05-13T20:02:30+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="5226dd80-1e9c-4d8a-b5f9-b26ca4763fd0" name="test_invalid_ip_v6_address" time="1.005" timestamp="2020-05-13T20:02:32+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="80c574cc-0925-44ba-8602-299028357dd9" name="test_list_servers_detailed_filter_by_flavor" time="0.414" timestamp="2020-05-13T20:02:33+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="b3304c3b-97df-46d2-8cd3-e2b6659724e7" name="test_list_servers_detailed_filter_by_image" time="0.431" timestamp="2020-05-13T20:02:33+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="d4c023a0-9c55-4747-9dd5-413b820143c7" name="test_reboot_non_existent_server" time="1.163" timestamp="2020-05-13T20:02:33+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="f9eb2b70-735f-416c-b260-9914ac6181e4" name="test_list_servers_detailed_filter_by_server_name" time="0.272" timestamp="2020-05-13T20:02:34+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="de2612ab-b7dd-4044-b0b1-d2539601911f" name="test_list_servers_detailed_filter_by_server_status" time="0.324" timestamp="2020-05-13T20:02:34+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="67aec2d0-35fe-4503-9f92-f13272b867ed" name="test_list_servers_detailed_limit_results" time="0.366" timestamp="2020-05-13T20:02:34+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="98fa0458-1485-440f-873b-fe7f0d714930" name="test_rebuild_deleted_server" time="0.627" timestamp="2020-05-13T20:02:34+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="ca78e20e-fddb-4ce6-b7f7-bcbf8605e66e" name="test_list_servers_filter_by_active_status" time="0.124" timestamp="2020-05-13T20:02:35+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="573637f5-7325-47bb-9144-3476d0416908" name="test_list_servers_filter_by_flavor" time="0.115" timestamp="2020-05-13T20:02:35+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="05e8a8e7-9659-459a-989d-92c2f501f4ba" name="test_list_servers_filter_by_image" time="0.131" timestamp="2020-05-13T20:02:35+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="614cdfc1-d557-4bac-915b-3e67b48eee76" name="test_list_servers_filter_by_limit" time="0.113" timestamp="2020-05-13T20:02:35+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="9b067a7b-7fee-4f6a-b29c-be43fe18fc5a" name="test_list_servers_filter_by_server_name" time="0.109" timestamp="2020-05-13T20:02:35+0000" />
    <testcase classname="tempest.api.compute.servers.test_list_server_filters.ListServerFiltersTestJSON" id="e9f624ee-92af-4562-8bec-437945a18dcb" name="test_list_servers_filtered_by_name_wildcard" time="0.226" timestamp="2020-05-13T20:02:35+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="d86141a7-906e-4731-b187-d64a2ea61422" name="test_rebuild_non_existent_server" time="0.519" timestamp="2020-05-13T20:02:35+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="dbbfd247-c40c-449e-8f6c-d2aa7c7da7cf" name="test_server_name_blank" time="0.950" timestamp="2020-05-13T20:02:35+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="a31460a9-49e1-42aa-82ee-06e0bb7c2d03" name="test_stop_non_existent_server" time="0.631" timestamp="2020-05-13T20:02:36+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="aa8eed43-e2cb-4ebf-930b-da14f6a21d81" name="test_update_name_of_non_existent_server" time="1.258" timestamp="2020-05-13T20:02:37+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="5c8e244c-dada-4590-9944-749c455b431f" name="test_update_server_name_length_exceeds_256" time="0.496" timestamp="2020-05-13T20:02:38+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers_negative.ServersNegativeTestJSON" id="38204696-17c6-44da-9590-40f87fb5a899" name="test_update_server_set_empty_name" time="0.737" timestamp="2020-05-13T20:02:39+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers.ServersTestJSON" id="8fea6be7-065e-47cf-89b8-496e6f96c699" name="test_create_with_existing_server_name" time="26.951" timestamp="2020-05-13T20:02:40+0000" />
    <testcase classname="tempest.api.identity.v3.test_catalog.IdentityCatalogTest" id="56b57ced-22b8-4127-9b8a-565dfb0207e2" name="test_catalog_standardization" time="0.124" timestamp="2020-05-13T20:02:44+0000" />
    <testcase classname="tempest.api.identity.v3.test_tokens.TokensV3Test" id="6f8e4436-fc96-4282-8122-e41df57197a9" name="test_create_token" time="0.054" timestamp="2020-05-13T20:02:46+0000" />
    <testcase classname="tempest.api.identity.v3.test_tokens.TokensV3Test" id="a9512ac3-3909-48a4-b395-11f438e16260" name="test_validate_token" time="0.274" timestamp="2020-05-13T20:02:46+0000" />
    <testcase classname="tempest.api.image.v2.test_images_tags.ImagesTagsTest" id="10407036-6059-4f95-a2cd-cbbbee7ed329" name="test_update_delete_tags_for_image" time="0.564" timestamp="2020-05-13T20:02:48+0000" />
    <testcase classname="tempest.api.network.test_ports.PortsTestJSON" id="67f1b811-f8db-43e2-86bd-72c074d4a42c" name="test_create_bulk_port" time="4.964" timestamp="2020-05-13T20:02:52+0000" />
    <testcase classname="tempest.api.network.test_ports.PortsTestJSON" id="0435f278-40ae-48cb-a404-b8a087bc09b1" name="test_create_port_in_allowed_allocation_pools" time="8.657" timestamp="2020-05-13T20:02:57+0000" />
    <testcase classname="tempest.api.network.test_ports.PortsTestJSON" id="c72c1c0c-2193-4aca-aaa4-b1442640f51c" name="test_create_update_delete_port" time="2.647" timestamp="2020-05-13T20:03:06+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers.ServersTestJSON" id="89b90870-bc13-4b73-96af-f9d4f2b70077" name="test_update_access_server_address" time="15.092" timestamp="2020-05-13T20:03:07+0000" />
    <testcase classname="tempest.api.network.test_ports.PortsTestJSON" id="cf95b358-3e92-4a29-a148-52445e1ac50e" name="test_list_ports" time="0.109" timestamp="2020-05-13T20:03:09+0000" />
    <testcase classname="tempest.api.network.test_ports.PortsTestJSON" id="ff7f117f-f034-4e0e-abff-ccef05c454b4" name="test_list_ports_fields" time="0.079" timestamp="2020-05-13T20:03:09+0000" />
    <testcase classname="tempest.api.network.test_ports.PortsTestJSON" id="5ad01ed0-0e6e-4c5d-8194-232801b15c72" name="test_port_list_filter_by_router_id" time="13.605" timestamp="2020-05-13T20:03:09+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_actions.ServerActionsTestJSON" id="80a8094c-211e-440a-ab88-9e59d556c7ee" name="test_lock_unlock_server" time="31.463" timestamp="2020-05-13T20:03:11+0000" />
    <testcase classname="tempest.api.compute.servers.test_servers.ServersTestJSON" id="5e6ccff8-349d-4852-a8b3-055df7988dd2" name="test_update_server_name" time="30.400" timestamp="2020-05-13T20:03:22+0000" />
    <testcase classname="tempest.api.network.test_ports.PortsTestJSON" id="c9a685bd-e83f-499c-939f-9f7863ca259f" name="test_show_port" time="0.082" timestamp="2020-05-13T20:03:23+0000" />
    <testcase classname="tempest.api.network.test_ports.PortsTestJSON" id="45fcdaf2-dab0-4c13-ac6c-fcddfb579dbd" name="test_show_port_fields" time="0.106" timestamp="2020-05-13T20:03:23+0000" />
    <testcase classname="tempest.api.network.test_subnetpools_extensions.SubnetPoolsTestJSON" id="62595970-ab1c-4b7f-8fcc-fddfe55e9811" name="test_create_list_show_update_delete_subnetpools" time="0.541" timestamp="2020-05-13T20:03:26+0000" />
    <testcase classname="tempest.api.network.test_versions.NetworksApiDiscovery" id="cac8a836-c2e0-4304-b556-cd299c7281d1" name="test_api_version_resources" time="0.005" timestamp="2020-05-13T20:03:29+0000" />
    <testcase classname="tempest.api.volume.test_availability_zone.AvailabilityZoneTestJSON" id="01f1ae88-eba9-4c6b-a011-6f7ace06b725" name="test_get_availability_zone_list" time="0.279" timestamp="2020-05-13T20:03:31+0000" />
    <testcase classname="tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTestJSON" id="a2f20f99-e363-4584-be97-bc33afb1a56c" name="test_crud_snapshot_metadata" time="0.429" timestamp="2020-05-13T20:03:37+0000" />
    <testcase classname="tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTestJSON" id="e8ff85c5-8f97-477f-806a-3ac364a949ed" name="test_update_show_snapshot_metadata_item" time="0.399" timestamp="2020-05-13T20:03:37+0000" />
    <testcase classname="tempest.api.volume.test_versions.VersionsTest" id="77838fc4-b49b-4c64-9533-166762517369" name="test_list_versions" time="0.014" timestamp="2020-05-13T20:03:42+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_actions.ServerActionsTestJSON" id="2cb1baf6-ac8d-4429-bf0d-ba8a0ba53e32" name="test_reboot_server_hard" time="31.194" timestamp="2020-05-13T20:03:43+0000" />
    <testcase classname="tempest.api.volume.test_volume_metadata.VolumesMetadataTest" id="6f5b125b-f664-44bf-910f-751591fe5769" name="test_crud_volume_metadata" time="0.532" timestamp="2020-05-13T20:03:46+0000" />
    <testcase classname="tempest.api.volume.test_volume_metadata.VolumesMetadataTest" id="862261c5-8df4-475a-8c21-946e50e36a20" name="test_update_show_volume_metadata_item" time="0.380" timestamp="2020-05-13T20:03:46+0000" />
    <testcase classname="tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTestJSON" id="2a8abbe4-d871-46db-b049-c41f5af8216e" name="test_snapshot_create_get_list_update_delete" time="3.783" timestamp="2020-05-13T20:03:52+0000" />
    <testcase classname="tempest.api.compute.test_quotas.QuotasTestJSON" id="9bfecac7-b966-4f47-913f-1a9e2c12134a" name="test_get_default_quotas" time="0.501" timestamp="2020-05-13T20:03:55+0000" />
    <testcase classname="tempest.api.compute.test_quotas.QuotasTestJSON" id="f1ef0a97-dbbb-4cca-adc5-c9fbc4f76107" name="test_get_quotas" time="0.232" timestamp="2020-05-13T20:03:55+0000" />
    <testcase classname="tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTestJSON" id="677863d1-3142-456d-b6ac-9924f667a7f4" name="test_volume_from_snapshot" time="6.114" timestamp="2020-05-13T20:03:56+0000" />
    <testcase classname="tempest.api.compute.test_versions.TestVersions" id="6c0a0990-43b6-4529-9b61-5fd8daf7c55c" name="test_list_api_versions" time="0.013" timestamp="2020-05-13T20:03:58+0000" />
    <testcase classname="tempest.api.compute.volumes.test_attach_volume.AttachVolumeTestJSON" id="52e9045a-e90d-4c0d-9087-79d657faffff" name="test_attach_detach_volume" time="78.767" timestamp="2020-05-13T20:04:07+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_actions.ServerActionsTestJSON" id="aaa6cdf3-55a7-461a-add9-1c8596b9a07c" name="test_rebuild_server" time="31.697" timestamp="2020-05-13T20:04:14+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_actions.ServerActionsTestJSON" id="af8eafd4-38a7-4a4b-bdbc-75145a580560" name="test_stop_start_server" time="20.380" timestamp="2020-05-13T20:04:46+0000" />
    <testcase classname="tempest.api.compute.volumes.test_attach_volume.AttachVolumeTestJSON" id="7fa563fe-f0f7-43eb-9e22-a1ece036b513" name="test_list_get_volume_attachments" time="35.503" timestamp="2020-05-13T20:05:26+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_metadata.ServerMetadataTestJSON" id="127642d6-4c7b-4486-b7cd-07265a378658" name="test_delete_server_metadata_item" time="0.442" timestamp="2020-05-13T20:05:31+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_metadata.ServerMetadataTestJSON" id="3043c57d-7e0e-49a6-9a96-ad569c265e6a" name="test_get_server_metadata_item" time="0.265" timestamp="2020-05-13T20:05:31+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_metadata.ServerMetadataTestJSON" id="479da087-92b3-4dcf-aeb3-fd293b2d14ce" name="test_list_server_metadata" time="0.265" timestamp="2020-05-13T20:05:31+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_metadata.ServerMetadataTestJSON" id="211021f6-21de-4657-a68f-908878cfe251" name="test_set_server_metadata" time="0.459" timestamp="2020-05-13T20:05:32+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_metadata.ServerMetadataTestJSON" id="58c02d4f-5c67-40be-8744-d3fa5982eb1c" name="test_set_server_metadata_item" time="0.470" timestamp="2020-05-13T20:05:32+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_metadata.ServerMetadataTestJSON" id="344d981e-0c33-4997-8a5d-6c1d803e4134" name="test_update_server_metadata" time="0.443" timestamp="2020-05-13T20:05:33+0000" />
    <testcase classname="tempest.api.identity.v3.test_api_discovery.TestApiDiscovery" id="657c1970-4722-4189-8831-7325f3bc4265" name="test_api_media_types" time="0.176" timestamp="2020-05-13T20:05:38+0000" />
    <testcase classname="tempest.api.identity.v3.test_api_discovery.TestApiDiscovery" id="b9232f5e-d9e5-4d97-b96c-28d3db4de1bd" name="test_api_version_resources" time="0.036" timestamp="2020-05-13T20:05:38+0000" />
    <testcase classname="tempest.api.identity.v3.test_api_discovery.TestApiDiscovery" id="8879a470-abfb-47bb-bb8d-5a7fd279ad1e" name="test_api_version_statuses" time="0.101" timestamp="2020-05-13T20:05:38+0000" />
    <testcase classname="tempest.api.image.v2.test_images.BasicOperationsImagesTest" id="f848bb94-1c6e-45a4-8726-39e3a5b23535" name="test_delete_image" time="0.538" timestamp="2020-05-13T20:05:40+0000" />
    <testcase classname="tempest.api.image.v2.test_images.BasicOperationsImagesTest" id="f66891a7-a35c-41a8-b590-a065c2a1caa6" name="test_update_image" time="0.539" timestamp="2020-05-13T20:05:41+0000" />
    <testcase classname="tempest.api.image.v2.test_images_negative.ImagesNegativeTest" id="32248db1-ab88-4821-9604-c7c369f1f88c" name="test_delete_image_null_id" time="0.185" timestamp="2020-05-13T20:05:43+0000" />
    <testcase classname="tempest.api.image.v2.test_images_negative.ImagesNegativeTest" id="6fe40f1c-57bd-4918-89cc-8500f850f3de" name="test_delete_non_existing_image" time="0.027" timestamp="2020-05-13T20:05:44+0000" />
    <testcase classname="tempest.api.image.v2.test_images_negative.ImagesNegativeTest" id="e57fc127-7ba0-4693-92d7-1d8a05ebcba9" name="test_get_delete_deleted_image" time="0.194" timestamp="2020-05-13T20:05:44+0000" />
    <testcase classname="tempest.api.image.v2.test_images_negative.ImagesNegativeTest" id="ef45000d-0a72-4781-866d-4cb7bf2562ad" name="test_get_image_null_id" time="0.012" timestamp="2020-05-13T20:05:44+0000" />
    <testcase classname="tempest.api.image.v2.test_images_negative.ImagesNegativeTest" id="668743d5-08ad-4480-b2b8-15da34f81d9f" name="test_get_non_existent_image" time="0.023" timestamp="2020-05-13T20:05:44+0000" />
    <testcase classname="tempest.api.network.test_security_groups.SecGroupTest" id="bfd128e5-3c92-44b6-9d66-7fe29d22c802" name="test_create_list_update_show_delete_security_group" time="1.203" timestamp="2020-05-13T20:05:46+0000" />
    <testcase classname="tempest.api.network.test_security_groups.SecGroupTest" id="87dfbcf9-1849-43ea-b1e4-efa3eeae9f71" name="test_create_security_group_rule_with_additional_args" time="1.677" timestamp="2020-05-13T20:05:47+0000" />
    <testcase classname="tempest.api.network.test_security_groups.SecGroupTest" id="c9463db8-b44d-4f52-b6c0-8dbda99f26ce" name="test_create_security_group_rule_with_icmp_type_code" time="5.284" timestamp="2020-05-13T20:05:49+0000" />
    <testcase classname="tempest.api.network.test_security_groups.SecGroupTest" id="0a307599-6655-4220-bebc-fd70c64f2290" name="test_create_security_group_rule_with_protocol_integer_value" time="0.789" timestamp="2020-05-13T20:05:54+0000" />
    <testcase classname="tempest.api.network.test_security_groups.SecGroupTest" id="c2ed2deb-7a0c-44d8-8b4c-a5825b5c310b" name="test_create_security_group_rule_with_remote_group_id" time="2.359" timestamp="2020-05-13T20:05:55+0000" />
    <testcase classname="tempest.api.network.test_security_groups.SecGroupTest" id="16459776-5da2-4634-bce4-4b55ee3ec188" name="test_create_security_group_rule_with_remote_ip_prefix" time="1.830" timestamp="2020-05-13T20:05:57+0000" />
    <testcase classname="tempest.api.network.test_security_groups.SecGroupTest" id="cfb99e0e-7410-4a3d-8a0c-959a63ee77e9" name="test_create_show_delete_security_group_rule" time="4.505" timestamp="2020-05-13T20:05:59+0000" />
    <testcase classname="tempest.api.network.test_security_groups.SecGroupTest" id="e30abd17-fef9-4739-8617-dc26da88e686" name="test_list_security_groups" time="0.056" timestamp="2020-05-13T20:06:03+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="2323061e-9fbf-4eb0-b547-7e8fafc90849" name="test_create_additional_default_security_group_fails" time="0.210" timestamp="2020-05-13T20:06:05+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="8fde898f-ce88-493b-adc9-4e4692879fc5" name="test_create_duplicate_security_group_rule_fails" time="0.777" timestamp="2020-05-13T20:06:06+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="5666968c-fff3-40d6-9efc-df1c8bd01abb" name="test_create_security_group_rule_with_bad_ethertype" time="0.393" timestamp="2020-05-13T20:06:06+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="981bdc22-ce48-41ed-900a-73148b583958" name="test_create_security_group_rule_with_bad_protocol" time="0.448" timestamp="2020-05-13T20:06:07+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="5f8daf69-3c5f-4aaa-88c9-db1d66f68679" name="test_create_security_group_rule_with_bad_remote_ip_prefix" time="0.481" timestamp="2020-05-13T20:06:07+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="0d9c7791-f2ad-4e2f-ac73-abf2373b0d2d" name="test_create_security_group_rule_with_invalid_ports" time="0.838" timestamp="2020-05-13T20:06:08+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="4bf786fd-2f02-443c-9716-5b98e159a49a" name="test_create_security_group_rule_with_non_existent_remote_groupid" time="0.459" timestamp="2020-05-13T20:06:08+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="be308db6-a7cf-4d5c-9baf-71bafd73f35e" name="test_create_security_group_rule_with_non_existent_security_group" time="0.099" timestamp="2020-05-13T20:06:09+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="1f1bb89d-5664-4956-9fcd-83ee0fa603df" name="test_delete_non_existent_security_group" time="0.043" timestamp="2020-05-13T20:06:09+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="424fd5c3-9ddc-486a-b45f-39bf0c820fc6" name="test_show_non_existent_security_group" time="0.035" timestamp="2020-05-13T20:06:09+0000" />
    <testcase classname="tempest.api.network.test_security_groups_negative.NegativeSecGroupTest" id="4c094c09-000b-4e41-8100-9617600c02a6" name="test_show_non_existent_security_group_rule" time="0.024" timestamp="2020-05-13T20:06:09+0000" />
    <testcase classname="tempest.api.volume.test_volumes_get.VolumesGetTest" id="27fb0e9f-fb64-41dd-8bdb-1ffa762f0d51" name="test_volume_create_get_update_delete" time="6.689" timestamp="2020-05-13T20:06:11+0000" />
    <testcase classname="tempest.api.volume.test_volumes_get.VolumesGetTest" id="3f591b4a-7dc6-444c-bd51-77469506b3a1" name="test_volume_create_get_update_delete_as_clone" time="7.870" timestamp="2020-05-13T20:06:18+0000" />
    <testcase classname="tempest.api.image.v2.test_images.ListUserImagesTest" id="622b925c-479f-4736-860d-adeaf13bc371" name="test_get_image_schema" time="0.013" timestamp="2020-05-13T20:06:19+0000" />
    <testcase classname="tempest.api.image.v2.test_images.ListUserImagesTest" id="25c8d7b2-df21-460f-87ac-93130bcdc684" name="test_get_images_schema" time="0.011" timestamp="2020-05-13T20:06:19+0000" />
    <testcase classname="tempest.api.image.v2.test_images.ListUserImagesTest" id="9959ca1d-1aa7-4b7a-a1ea-0fff0499b37e" name="test_list_images_param_container_format" time="0.055" timestamp="2020-05-13T20:06:19+0000" />
    <testcase classname="tempest.api.image.v2.test_images.ListUserImagesTest" id="4a4735a7-f22f-49b6-b0d9-66e1ef7453eb" name="test_list_images_param_disk_format" time="0.072" timestamp="2020-05-13T20:06:19+0000" />
    <testcase classname="tempest.api.image.v2.test_images.ListUserImagesTest" id="e914a891-3cc8-4b40-ad32-e0a39ffbddbb" name="test_list_images_param_limit" time="0.075" timestamp="2020-05-13T20:06:19+0000" />
    <testcase classname="tempest.api.image.v2.test_images.ListUserImagesTest" id="4ad8c157-971a-4ba8-aa84-ed61154b1e7f" name="test_list_images_param_min_max_size" time="0.117" timestamp="2020-05-13T20:06:19+0000" />
    <testcase classname="tempest.api.image.v2.test_images.ListUserImagesTest" id="cf1b9a48-8340-480e-af7b-fe7e17690876" name="test_list_images_param_size" time="0.094" timestamp="2020-05-13T20:06:20+0000" />
    <testcase classname="tempest.api.image.v2.test_images.ListUserImagesTest" id="7fc9e369-0f58-4d05-9aa5-0969e2d59d15" name="test_list_images_param_status" time="0.103" timestamp="2020-05-13T20:06:20+0000" />
    <testcase classname="tempest.api.image.v2.test_images.ListUserImagesTest" id="7a95bb92-d99e-4b12-9718-7bc6ab73e6d2" name="test_list_images_param_visibility" time="0.073" timestamp="2020-05-13T20:06:20+0000" />
    <testcase classname="tempest.api.image.v2.test_images.ListUserImagesTest" id="1e341d7a-90a9-494c-b143-2cdf2aeb6aee" name="test_list_no_params" time="0.093" timestamp="2020-05-13T20:06:20+0000" />
    <testcase classname="tempest.api.image.v2.test_images_tags_negative.ImagesTagsNegativeTest" id="39c023a2-325a-433a-9eea-649bf1414b19" name="test_delete_non_existing_tag" time="0.370" timestamp="2020-05-13T20:06:23+0000" />
    <testcase classname="tempest.api.image.v2.test_images_tags_negative.ImagesTagsNegativeTest" id="8cd30f82-6f9a-4c6e-8034-c1b51fba43d9" name="test_update_tags_for_non_existing_image" time="0.033" timestamp="2020-05-13T20:06:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_get.VolumesGetTest" id="54a01030-c7fc-447c-86ee-c1182beae638" name="test_volume_create_get_update_delete_from_image" time="8.482" timestamp="2020-05-13T20:06:26+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="a4d9ec4c-0306-4111-a75c-db01a709030b" name="test_create_delete_subnet_all_attributes" time="4.955" timestamp="2020-05-13T20:06:28+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="bec949c4-3147-4ba6-af5f-cd2306118404" name="test_create_delete_subnet_with_allocation_pools" time="4.439" timestamp="2020-05-13T20:06:33+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="94ce038d-ff0a-4a4c-a56b-09da3ca0b55d" name="test_create_delete_subnet_with_dhcp_enabled" time="5.818" timestamp="2020-05-13T20:06:37+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="9393b468-186d-496d-aa36-732348cd76e7" name="test_create_delete_subnet_with_gw" time="5.255" timestamp="2020-05-13T20:06:43+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="0b6ddd39-b948-471f-8038-4787978747c4" name="test_volume_list" time="0.124" timestamp="2020-05-13T20:06:43+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="a28e8da4-0b56-472f-87a8-0f4d3f819c02" name="test_volume_list_by_name" time="0.118" timestamp="2020-05-13T20:06:43+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="2de3a6d4-12aa-403b-a8f2-fdeb42a89623" name="test_volume_list_details_by_name" time="0.109" timestamp="2020-05-13T20:06:43+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="e9138a2c-f67b-4796-8efa-635c196d01de" name="test_volume_list_details_pagination" time="0.649" timestamp="2020-05-13T20:06:43+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="2a7064eb-b9c3-429b-b888-33928fc5edd3" name="test_volume_list_details_with_multiple_params" time="0.252" timestamp="2020-05-13T20:06:44+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="af55e775-8e4b-4feb-8719-215c43b0238c" name="test_volume_list_pagination" time="0.513" timestamp="2020-05-13T20:06:44+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="777c87c1-2fc4-4883-8b8e-5c0b951d1ec8" name="test_volume_list_param_display_name_and_status" time="0.102" timestamp="2020-05-13T20:06:45+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="856ab8ca-6009-4c37-b691-be1065528ad4" name="test_volume_list_with_detail_param_display_name_and_status" time="0.116" timestamp="2020-05-13T20:06:45+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="1ca92d3c-4a8e-4b43-93f5-e4c7fb3b291d" name="test_volume_list_with_detail_param_metadata" time="0.125" timestamp="2020-05-13T20:06:45+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="adcbb5a7-5ad8-4b61-bd10-5380e111a877" name="test_volume_list_with_details" time="0.129" timestamp="2020-05-13T20:06:45+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="b5ebea1b-0603-40a0-bb41-15fcd0a53214" name="test_volume_list_with_param_metadata" time="0.124" timestamp="2020-05-13T20:06:45+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="c0cfa863-3020-40d7-b587-e35f597d5d87" name="test_volumes_list_by_availability_zone" time="0.410" timestamp="2020-05-13T20:06:45+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="39654e13-734c-4dab-95ce-7613bf8407ce" name="test_volumes_list_by_status" time="0.245" timestamp="2020-05-13T20:06:46+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="e1b80d13-94f0-4ba2-a40e-386af29f8db1" name="test_volumes_list_details_by_availability_zone" time="0.121" timestamp="2020-05-13T20:06:46+0000" />
    <testcase classname="tempest.api.volume.test_volumes_list.VolumesListTestJSON" id="2943f712-71ec-482a-bf49-d5ca06216b9f" name="test_volumes_list_details_by_status" time="0.127" timestamp="2020-05-13T20:06:46+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="8217a149-0c6c-4cfb-93db-0486f707d13f" name="test_create_delete_subnet_with_gw_and_allocation_pools" time="5.216" timestamp="2020-05-13T20:06:48+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="d830de0a-be47-468f-8f02-1fd996118289" name="test_create_delete_subnet_with_host_routes_and_dns_nameservers" time="5.560" timestamp="2020-05-13T20:06:54+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="d2d596e2-8e76-47a9-ac51-d4648009f4d3" name="test_create_delete_subnet_without_gateway" time="5.308" timestamp="2020-05-13T20:06:59+0000" />
    <testcase classname="tempest.api.volume.test_volumes_snapshots_list.VolumesSnapshotListTestJSON" id="220a1022-1fcd-4a74-a7bd-6b859156cda2" name="test_snapshots_list_details_with_params" time="0.137" timestamp="2020-05-13T20:06:59+0000" />
    <testcase classname="tempest.api.volume.test_volumes_snapshots_list.VolumesSnapshotListTestJSON" id="59f41f43-aebf-48a9-ab5d-d76340fab32b" name="test_snapshots_list_with_params" time="0.122" timestamp="2020-05-13T20:06:59+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="0e269138-0da6-4efc-a46d-578161e7b221" name="test_create_update_delete_network_subnet" time="7.359" timestamp="2020-05-13T20:07:04+0000" />
    <testcase classname="tempest.api.volume.test_volumes_snapshots_negative.VolumesSnapshotNegativeTestJSON" id="e3e466af-70ab-4f4b-a967-ab04e3532ea7" name="test_create_snapshot_with_nonexistent_volume_id" time="0.208" timestamp="2020-05-13T20:07:06+0000" />
    <testcase classname="tempest.api.volume.test_volumes_snapshots_negative.VolumesSnapshotNegativeTestJSON" id="bb9da53e-d335-4309-9c15-7e76fd5e4d6d" name="test_create_snapshot_without_passing_volume_id" time="0.053" timestamp="2020-05-13T20:07:06+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="f04f61a9-b7f3-4194-90b2-9bcf660d1bfe" name="test_delete_network_with_subnet" time="4.877" timestamp="2020-05-13T20:07:12+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="af774677-42a9-4e4b-bb58-16fe6a5bc1ec" name="test_external_network_visibility" time="0.315" timestamp="2020-05-13T20:07:17+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="f7ffdeda-e200-4a7a-bcbe-05716e86bf43" name="test_list_networks" time="0.231" timestamp="2020-05-13T20:07:17+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="6ae6d24f-9194-4869-9c85-c313cb20e080" name="test_list_networks_fields" time="0.242" timestamp="2020-05-13T20:07:17+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="db68ba48-f4ea-49e9-81d1-e367f6d0b20a" name="test_list_subnets" time="0.146" timestamp="2020-05-13T20:07:17+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="842589e3-9663-46b0-85e4-7f01273b0412" name="test_list_subnets_fields" time="0.075" timestamp="2020-05-13T20:07:18+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="2bf13842-c93f-4a69-83ed-717d2ec3b44e" name="test_show_network" time="0.207" timestamp="2020-05-13T20:07:18+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="867819bb-c4b6-45f7-acf9-90edcf70aa5e" name="test_show_network_fields" time="0.183" timestamp="2020-05-13T20:07:18+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="bd635d81-6030-4dd1-b3b9-31ba0cfdf6cc" name="test_show_subnet" time="0.110" timestamp="2020-05-13T20:07:18+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="270fff0b-8bfc-411f-a184-1e8fd35286f0" name="test_show_subnet_fields" time="0.081" timestamp="2020-05-13T20:07:18+0000" />
    <testcase classname="tempest.api.network.test_networks.NetworksTest" id="3d3852eb-3009-49ec-97ac-5ce83b73010a" name="test_update_subnet_gw_dns_host_routes_dhcp" time="4.774" timestamp="2020-05-13T20:07:18+0000" />
    <testcase classname="tempest.api.network.test_routers.RoutersTest" id="802c73c9-c937-4cef-824b-2191e24a6aab" name="test_add_multiple_router_interfaces" time="25.850" timestamp="2020-05-13T20:07:30+0000" />
    <testcase classname="tempest.api.network.test_routers.RoutersTest" id="2b7d2f37-6748-4d78-92e5-1d590234f0d5" name="test_add_remove_router_interface_with_port_id" time="14.131" timestamp="2020-05-13T20:07:56+0000" />
    <testcase classname="tempest.api.network.test_routers.RoutersTest" id="b42e6e39-2e37-49cc-a6f4-8467e940900a" name="test_add_remove_router_interface_with_subnet_id" time="13.837" timestamp="2020-05-13T20:08:10+0000" />
    <testcase classname="tempest.api.network.test_routers.RoutersTest" id="f64403e2-8483-4b34-8ccd-b09a87bcc68c" name="test_create_show_list_update_delete_router" time="7.235" timestamp="2020-05-13T20:08:24+0000" />
    <testcase classname="tempest.api.network.test_routers.RoutersTest" id="c86ac3a8-50bd-4b00-a6b8-62af84a0765c" name="test_update_delete_extra_route" time="52.973" timestamp="2020-05-13T20:08:31+0000" />
    <testcase classname="tempest.api.network.test_routers.RoutersTest" id="a8902683-c788-4246-95c7-ad9c6d63a4d9" name="test_update_router_admin_state" time="1.870" timestamp="2020-05-13T20:09:24+0000" />
    <testcase classname="tempest.api.network.test_routers_negative.RoutersNegativeTest" id="957751a3-3c68-4fa2-93b6-eb52ea10db6e" name="test_add_router_interfaces_on_overlapping_subnets_returns_400" time="11.037" timestamp="2020-05-13T20:09:32+0000" />
    <testcase classname="tempest.api.network.test_routers_negative.RoutersNegativeTest" id="c7edc5ad-d09d-41e6-a344-5c0c31e2e3e4" name="test_delete_non_existent_router_returns_404" time="0.083" timestamp="2020-05-13T20:09:43+0000" />
    <testcase classname="tempest.api.network.test_routers_negative.RoutersNegativeTest" id="37a94fc0-a834-45b9-bd23-9a81d2fd1e22" name="test_router_add_gateway_invalid_network_returns_404" time="0.796" timestamp="2020-05-13T20:09:43+0000" />
    <testcase classname="tempest.api.network.test_routers_negative.RoutersNegativeTest" id="11836a18-0b15-4327-a50b-f0d9dc66bddd" name="test_router_add_gateway_net_not_external_returns_400" time="3.828" timestamp="2020-05-13T20:09:44+0000" />
    <testcase classname="tempest.api.network.test_routers_negative.RoutersNegativeTest" id="04df80f9-224d-47f5-837a-bf23e33d1c20" name="test_router_remove_interface_in_use_returns_409" time="7.346" timestamp="2020-05-13T20:09:47+0000" />
    <testcase classname="tempest.api.network.test_routers_negative.RoutersNegativeTest" id="c2a70d72-8826-43a7-8208-0209e6360c47" name="test_show_non_existent_router_returns_404" time="0.105" timestamp="2020-05-13T20:09:55+0000" />
    <testcase classname="tempest.api.network.test_routers_negative.RoutersNegativeTest" id="b23d1569-8b0c-4169-8d4b-6abd34fad5c7" name="test_update_non_existent_router_returns_404" time="0.131" timestamp="2020-05-13T20:09:55+0000" />
    <testcase classname="tempest.api.volume.test_extensions.ExtensionsTestJSON" id="94607eb0-43a5-47ca-82aa-736b41bd2e2c" name="test_list_extensions" time="0.243" timestamp="2020-05-13T20:10:14+0000" />
    <testcase classname="tempest.api.volume.test_volumes_actions.VolumesActionsTest" id="63e21b4c-0a0c-41f6-bfc3-7c2816815599" name="test_volume_bootable" time="0.293" timestamp="2020-05-13T20:10:18+0000" />
    <testcase classname="tempest.api.volume.test_volumes_actions.VolumesActionsTest" id="fff74e1e-5bd3-4b33-9ea9-24c103bc3f59" name="test_volume_readonly_update" time="0.324" timestamp="2020-05-13T20:10:18+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="1ed83a8a-682d-4dfb-a30e-ee63ffd6c049" name="test_create_volume_with_invalid_size" time="0.014" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="0c36f6ae-4604-4017-b0a9-34fdc63096f9" name="test_create_volume_with_nonexistent_snapshot_id" time="0.036" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="47c73e08-4be8-45bb-bfdf-0c4e79b88344" name="test_create_volume_with_nonexistent_source_volid" time="0.051" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="10254ed8-3849-454e-862e-3ab8e6aa01d2" name="test_create_volume_with_nonexistent_volume_type" time="0.022" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="8b472729-9eba-446e-a83b-916bdb34bef7" name="test_create_volume_with_size_negative" time="0.011" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="41331caa-eaf4-4001-869d-bc18c1869360" name="test_create_volume_with_size_zero" time="0.014" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="9387686f-334f-4d31-a439-33494b9e2683" name="test_create_volume_without_passing_size" time="0.012" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="1f035827-7c32-4019-9240-b4ec2dbd9dfd" name="test_delete_invalid_volume_id" time="0.059" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="441a1550-5d44-4b30-af0f-a6d402f52026" name="test_delete_volume_without_passing_volume_id" time="0.014" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="30799cfd-7ee4-446c-b66c-45b383ed211b" name="test_get_invalid_volume_id" time="0.057" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="c6c3db06-29ad-4e91-beb0-2ab195fe49e3" name="test_get_volume_without_passing_volume_id" time="0.009" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="ba94b27b-be3f-496c-a00e-0283b373fa75" name="test_list_volumes_detail_with_invalid_status" time="0.114" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="9ca17820-a0e7-4cbd-a7fa-f4468735e359" name="test_list_volumes_detail_with_nonexistent_name" time="0.099" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="143b279b-7522-466b-81be-34a87d564a7c" name="test_list_volumes_with_invalid_status" time="0.101" timestamp="2020-05-13T20:10:24+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="0f4aa809-8c7b-418f-8fb3-84c7a5dfc52f" name="test_list_volumes_with_nonexistent_name" time="0.114" timestamp="2020-05-13T20:10:25+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="72aeca85-57a5-4c1f-9057-f320f9ea575b" name="test_update_volume_with_empty_volume_id" time="0.011" timestamp="2020-05-13T20:10:25+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="e66e40d6-65e6-4e75-bdc7-636792fa152d" name="test_update_volume_with_invalid_volume_id" time="0.068" timestamp="2020-05-13T20:10:25+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="0186422c-999a-480e-a026-6a665744c30c" name="test_update_volume_with_nonexistent_volume_id" time="0.067" timestamp="2020-05-13T20:10:25+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="555efa6e-efcd-44ef-8a3b-4a7ca4837a29" name="test_volume_delete_nonexistent_volume_id" time="0.045" timestamp="2020-05-13T20:10:25+0000" />
    <testcase classname="tempest.api.volume.test_volumes_negative.VolumesNegativeTest" id="f131c586-9448-44a4-a8b0-54ca838aa43e" name="test_volume_get_nonexistent_volume_id" time="0.058" timestamp="2020-05-13T20:10:25+0000" />
  </testsuite>
</testsuites>
